﻿using System;

namespace Falcon.SugarApi.ApiClient
{
    /// <summary>
    /// api客户端异常
    /// </summary>
    public class ApiClientException:Exception
    {
        /// <summary>
        /// 通过提供异常消息，请求地址，请求数据，和内部异常构造异常
        /// </summary>
        /// <param name="message">异常消息</param>
        /// <param name="url">请求地址</param>
        /// <param name="data">请求数据</param>
        /// <param name="innerException">内部异常</param>
        public ApiClientException(string? message,string url,string data,Exception? innerException) : base(message,innerException) {
            this.Data.Add("url",url);
            this.Data.Add("data",data);
        }
    }
}
